Page MenuHomePhabricator

Convert UploadWizard to use extension registration
Closed, ResolvedPublic

Description

The UploadWizard extension needs to be converted to use the new extension registration system. More details are available on T87875.

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterAdd extension.json, empty PHP entry point

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 29 2015, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gilles claimed this task.Jan 29 2015, 7:55 PM
Gilles triaged this task as Low priority.
Gilles moved this task from Untriaged to Next up on the Multimedia board.
Gilles added a subscriber: Gilles.
gerritbot added a subscriber: gerritbot.

Change 187471 had a related patch set uploaded (by Gilles):
[WIP] Convert to use extension registration

https://gerrit.wikimedia.org/r/187471

Patch-For-Review

Gilles removed Gilles as the assignee of this task.Feb 11 2015, 1:22 PM
Gilles moved this task from Next up to Untriaged on the Multimedia board.Mar 23 2015, 8:55 AM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 22 2015, 8:06 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:52 PM

Change 187471 abandoned by Bartosz Dziewoński:
Add extension.json, empty PHP entry point

Reason:
Does not merge. Let's try some other time, not now, it'd be a bit disruptive.

https://gerrit.wikimedia.org/r/187471

matmarex updated the task description. (Show Details)Sep 23 2015, 2:22 PM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex edited subscribers, added: matmarex; removed: gerritbot.

Change 187471 restored by Bartosz Dziewoński:
Add extension.json, empty PHP entry point

Reason:
Let's try doing this now.

https://gerrit.wikimedia.org/r/187471

matmarex claimed this task.Jul 6 2016, 9:14 PM

Change 187471 merged by jenkins-bot:
Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/187471

matmarex closed this task as Resolved.Jul 13 2016, 9:42 PM